package com.srs.comprehensive.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.QuestionnaireAnswer;
import com.srs.comprehensive.domain.QuestionnaireResult;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author srs
 * @date 2024-05-20
 */
public interface QuestionnaireAnswerMapper extends BaseMapper<QuestionnaireAnswer> {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public QuestionnaireAnswer selectAnswerById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tAnswer 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<QuestionnaireAnswer> selectAnswerList(QuestionnaireAnswer tAnswer);

    /**
     * 新增【请填写功能名称】
     *
     * @param tAnswer 【请填写功能名称】
     * @return 结果
     */
    int insertAnswer(QuestionnaireAnswer tAnswer);

    /**
     * 修改【请填写功能名称】
     *
     * @param tAnswer 【请填写功能名称】
     * @return 结果
     */
    int updateAnswer(QuestionnaireAnswer tAnswer);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteAnswerById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAnswerByIds(Long[] ids);

    List<QuestionnaireResult> ratioScore(QuestionnaireResult result);
}
